Package Details: liquidsoap 1.4.1-1

Git Clone URL: https://aur.archlinux.org/liquidsoap.git (read-only, click to copy)
Package Base: liquidsoap
Description: A swiss-army knife for multimedia streaming, notably used for netradios and webtvs
Upstream URL: https://www.liquidsoap.info
Licenses: GPL
Conflicts: liquidsoap-full, liquidsoap-git
Submitter: mefistofeles
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 11
Popularity: 0.47
First Submitted: 2009-02-14 21:32
Last Updated: 2020-01-22 18:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

Ryex commented on 2016-03-22 08:02

$ pacman -Q ffmpeg
ffmpeg 1:2.8.6-2

$ ls -lah /var/cache/pacman/pkg/ffmpeg*
-rw-r--r-- 1 root root 7.1M Oct 14 02:31 /var/cache/pacman/pkg/ffmpeg-1:2.8.1-2-x86_64.pkg.tar.xz
-rw-r--r-- 1 root root 7.1M Nov 2 15:32 /var/cache/pacman/pkg/ffmpeg-1:2.8.1-3-x86_64.pkg.tar.xz
-rw-r--r-- 1 root root 7.1M Oct 9 05:10 /var/cache/pacman/pkg/ffmpeg-1:2.8-2-x86_64.pkg.tar.xz
-rw-r--r-- 1 root root 7.2M Feb 2 12:16 /var/cache/pacman/pkg/ffmpeg-1:2.8.6-2-x86_64.pkg.tar.xz
-rw-r--r-- 1 root root 8.2M Feb 15 15:17 /var/cache/pacman/pkg/ffmpeg-1:3.0-1-x86_64.pkg.tar.xz

no, I do mean 2.8.6-2
version 3.0-1 released 2016-02-15 21:45 UTC causes the issue

leonardder commented on 2016-03-19 08:22

It seems that ffmpeg 2.8.6-2 isn't out yet. Could it be that you meant ffmpeg 2.8.5-2?

Ryex commented on 2016-03-15 03:19

FFMpeg indeed updated and bumped the so version for libavutil to 54
libswscale has also been bumped form 3 to 4 causing a breakage
sym linking the so's back of course does not work because the symbols LIBAVUTIL_54 and LIBSWSCALE_3 are missing

ffmpeg 2.8.6-2 is the last working version

Ryex commented on 2016-03-15 01:48

Broken with same errors here too. same missing .so and same compile error

leonardder commented on 2016-03-07 19:49

@5chdn: Have you updated all OCAML dependencies?
it seems like there has been an FFMPEG update which might break stuff. Other people who can confirm this?

5chdn commented on 2016-03-06 09:45

~ $ liquidsoap --check
liquidsoap: error while loading shared libraries: libavutil.so.54: cannot open shared object file: No such file or directory

:-(

Recompiling also fails:

~ $ pacaur -Syu liquidsoap
[...]
ocamlc.opt -c -cc "gcc" -ccopt "-fPIC -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -I/usr/include -Wall -DCAML_NAME_SPACE \
-DPIC -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include \
-o avutil_stubs.o " avutil_stubs.c
avutil_stubs.c:13:31: error: array type has incomplete element type ‘enum PixelFormat’
static const enum PixelFormat PIXEL_FORMATS[] = {

It's a mess, any idea? :(

5chdn commented on 2016-01-18 10:12

Ok, I had to manually upgrade all ocaml dependencies, now it works again. Strange glitch.

5chdn commented on 2016-01-18 10:03

liquidsoap 1.2.0-1 fails to compile:

ocamlc.opt -c -g -w +A@5-7@8@11@12@20-35-44-45 -I /usr/lib/ocaml/xmlm xmlplaylist.ml
File "xmlplaylist.ml", line 1:
Error: The files /usr/lib/ocaml/pervasives.cmi
and /usr/lib/ocaml/xmlm/xmlm.cmi make inconsistent assumptions
over interface CamlinternalFormatBasics
OCamlMakefile:951: recipe for target 'xmlplaylist.cmo' failed
make[3]: *** [xmlplaylist.cmo] Error 2
make[3]: Leaving directory '/tmp/pacaurtmp-user/liquidsoap/src/liquidsoap-1.2.0-full/ocaml-xmlplaylist-0.1.4/src'
OCamlMakefile:716: recipe for target 'byte-code-library' failed
make[2]: *** [byte-code-library] Error 2
make[2]: Leaving directory '/tmp/pacaurtmp-user/liquidsoap/src/liquidsoap-1.2.0-full/ocaml-xmlplaylist-0.1.4/src'
Makefile:11: recipe for target 'all' failed
make[1]: *** [all] Error 2
make[1]: Leaving directory '/tmp/pacaurtmp-user/liquidsoap/src/liquidsoap-1.2.0-full/ocaml-xmlplaylist-0.1.4'
Makefile:11: recipe for target 'all' failed
make: *** [all] Error 1


any idea?

minus commented on 2015-09-11 22:28

Two dependencies seem to have gone missing (probably with the move to AUR4):
error: target not found: ocaml-ocamlsdl
error: target not found: ocaml-includepatch

So can't build it; would be great if you could adopt/restore those packages from the backup https://wiki.archlinux.org/index.php/Arch_User_Repository#Git_repositories_for_AUR3_packages

leonardder commented on 2015-08-24 13:39

Thanks for notifying. Do you have a suggestion for another uid/gid?